/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2024-05-16
* Changed:         2024-05-16
*
* */

#ifndef LS_STD_BUTTON_HPP
#define LS_STD_BUTTON_HPP

#include <ls-std/ls-std-event.hpp>

namespace test::event
{
  class Button : public ls::std::event::reworked::EventListener
  {
    public:

      explicit Button();
      ~Button() noexcept override;

      [[nodiscard]] bool isClicked() const;
      void onClickEvent();

    private:

      bool clicked{};
  };
}

#endif
